var facebookAppName;
var twitterAppName;
var instagramAppName;
var devicePlatform;


document.addEventListener("deviceready", onDeviceReady, false);

function onDeviceReady() {
    devicePlatform = device.platform == 'Win32NT' || device.platform == 'wp8' ? 'wp8' : device.platform;
    StatusBar.backgroundColorByHexString("#011F5B");
    StatusBar.overlaysWebView(false);
    StatusBar.show();
    if (devicePlatform == 'iOS') {
        twitterAppName = 'twitter://';
        facebookAppName = 'fb://';
        instagramAppName = 'instagram://';
    } else if (devicePlatform == 'Android') {
        facebookAppName = 'com.facebook.katana';
        twitterAppName = 'com.twitter.android';
        instagramAppName = 'com.instagram.android';
    } else if (devicePlatform == 'wp8') {
        twitterAppName = 'twitter:';
        facebookAppName = 'fb:';
        instagramAppName = 'instagram:';
    }
}

//Para abrir en un navegador externo.
function irWeb(urlWeb) {
    window.open(urlWeb, '_system', 'location=yes');
}

//Para abrir twitter en un navegador o en la app
function irTwitter(perfil) {
    if (devicePlatform == 'wp8') {
        window.open("https://twitter.com/" + perfil, '_system', 'location=yes');
    } else {
        appAvailability.check(
        twitterAppName, // URI Scheme
            function () {           // Success callback
                window.open("twitter://user?screen_name=" + perfil, '_system', 'location=yes');
            },
            function () {           // Error callback
                window.open("https://twitter.com/" + perfil, '_system', 'location=yes');
            }
        );
    }

}

//Para abrir facebook en un navegador o en la app
function irFacebook() {
    if (devicePlatform == 'wp8') {
        window.open("https://www.facebook.com/unirentve", '_system', 'location=yes');
    } else {
        appAvailability.check(
        facebookAppName, // URI Scheme
            function () {           // Success callback
                window.open("fb://profile/812686982078453", '_system', 'location=yes');
            },
            function () {           // Error callback
                window.open("https://www.facebook.com/unirentve", '_system', 'location=yes');
            }
        );
    }
}

//Para abrir instagram en el navegador
function irInstagram() {
    if (devicePlatform == 'iOS') {
        appAvailability.check(
			"instagram://",
			function () {
			    window.open("instagram://user?username=unirentve", '_system', 'location=yes');
			},
			function () {
			    window.open("https://instagram.com/unirentve", '_system', 'location=yes');
			}
		);
    }
    else {
        window.open("https://instagram.com/unirentve", '_system', 'location=yes');
    }
}